#ifndef INTERCEPTRADAR_H
#define INTERCEPTRADAR_H
#include <string>
#include <iostream>
class interceptRadar
{
private:
    char waveform;//信号类型
    double fc = 1000000000;//载波频率
    double simTime;//仿真时间
    double BW;//脉冲带宽
    double T;//脉宽
    double PRF;//脉冲重复周期
    double fs;//系统采样率
    double* sig;
    double len;
    std::string index;//雷达编号
public:
    interceptRadar(char waveform,double fc,double simTime,
                   double BW,double T,double PRF,
                   double fs);
    interceptRadar();
    char getWaveForm();
    void setIndex(std::string index);
    std::string getIndex();
    double getFc();
    double getSimTime();
    double getBW();
    double getT();
    double getPRF();
    double getFs();
    void setFs(double fs);
    double* getSig();
    void setLen(double len);
    double getLen();
    void setSig(double *sig);

};

#endif // INTERCEPTRADAR_H
