QT       += core gui
QT += websockets
QT += charts
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    SigGen/Radar001/LinearFMWaveform.cpp \
    SigGen/Radar001/RadarSignalGenerator.cpp \
    SigGen/Radar101/RadarSignalGenerator101.cpp \
    SigGen/Radar101/RectangularWaveform101.cpp \
    SigGen/Radar102/RadarSignalGenerator102.cpp \
    SigGen/Radar102/RectangularWaveform102.cpp \
    SigGen/Radar103/RadarSignalGenerator103.cpp \
    SigGen/Radar103/RectangularWaveform103.cpp \
    SigGen/Radar201/AbstractPhaseCodedWaveform201.cpp \
    SigGen/Radar201/PhaseCodedWaveform201.cpp \
    SigGen/Radar201/RadarSignalGenerator201.cpp \
    SigGen/Radar202/PhaseCodedWaveform202.cpp \
    SigGen/Radar202/RadarSignalGenerator202.cpp \
    SigGen/Radar203/PhaseCodedWaveform203.cpp \
    SigGen/Radar203/RadarSignalGenerator203.cpp \
    SigGen/Radar301/AbstractLinearFMWaveform301.cpp \
    SigGen/Radar301/LinearFMWaveform301.cpp \
    SigGen/Radar301/RadarSignalGenerator301.cpp \
    SigGen/Radar302/LinearFMWaveform302.cpp \
    SigGen/Radar302/RadarSignalGenerator302.cpp \
    SigGen/Radar303/LinearFMWaveform303.cpp \
    SigGen/Radar303/RadarSignalGenerator303.cpp \
    SigGen/Radar401/FMCWWaveform401.cpp \
    SigGen/Radar401/RadarSignalGenerator401.cpp \
    SigGen/Radar402/FMCWWaveform402.cpp \
    SigGen/Radar402/RadarSignalGenerator402.cpp \
    SigGen/Radar403/FMCWWaveform403.cpp \
    SigGen/Radar403/RadarSignalGenerator403.cpp \
    SigGen/rtGetInf.cpp \
    SigGen/rtGetNaN.cpp \
    SigGen/rt_nonfinite.cpp \
    main.cpp \
    mainwindow.cpp \
    radarserver.cpp \
    radarsiggen.cpp \
    interceptradar.cpp \
    simdisplay.cpp \

HEADERS += \
    SigGen/Radar001/LinearFMWaveform.h \
    SigGen/Radar001/RadarSignalGenerator.h \
    SigGen/Radar101/RadarSignalGenerator101.h \
    SigGen/Radar101/RectangularWaveform101.h \
    SigGen/Radar102/RadarSignalGenerator102.h \
    SigGen/Radar102/RectangularWaveform102.h \
    SigGen/Radar103/RadarSignalGenerator103.h \
    SigGen/Radar103/RectangularWaveform103.h \
    SigGen/Radar201/AbstractPhaseCodedWaveform201.h \
    SigGen/Radar201/PhaseCodedWaveform201.h \
    SigGen/Radar201/RadarSignalGenerator201.h \
    SigGen/Radar202/PhaseCodedWaveform202.h \
    SigGen/Radar202/RadarSignalGenerator202.h \
    SigGen/Radar203/PhaseCodedWaveform203.h \
    SigGen/Radar203/RadarSignalGenerator203.h \
    SigGen/Radar301/AbstractLinearFMWaveform301.h \
    SigGen/Radar301/LinearFMWaveform301.h \
    SigGen/Radar301/RadarSignalGenerator301.h \
    SigGen/Radar302/LinearFMWaveform302.h \
    SigGen/Radar302/RadarSignalGenerator302.h \
    SigGen/Radar303/LinearFMWaveform303.h \
    SigGen/Radar303/RadarSignalGenerator303.h \
    SigGen/Radar401/FMCWWaveform401.h \
    SigGen/Radar401/RadarSignalGenerator401.h \
    SigGen/Radar402/FMCWWaveform402.h \
    SigGen/Radar402/RadarSignalGenerator402.h \
    SigGen/Radar403/FMCWWaveform403.h \
    SigGen/Radar403/RadarSignalGenerator403.h \
    SigGen/rtGetInf.h \
    SigGen/rtGetNaN.h \
    SigGen/rt_nonfinite.h \
    SigGen/rtwtypes.h \
    SigGen/tmwtypes.h \
    mainwindow.h \
    radarserver.h \
    radarsiggen.h \
    interceptradar.h \
    simdisplay.h \

FORMS += \
    mainwindow.ui \
    simdisplay.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
